> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /publisher

> List all publishers under the loggedin organisation, and some top level configuration



## OpenAPI

````yaml /openapi.json get /v1/publisher
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/publisher:
    get:
      tags:
        - Publisher
        - public
      summary: /publisher
      description: >-
        List all publishers under the loggedin organisation, and some top level
        configuration
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        uid:
                          type: integer
                        organisation:
                          type: integer
                        domain:
                          type: string
                        display_name:
                          type: string
                        label:
                          type: string
                          nullable: true
                        tier:
                          type: integer
                        config:
                          type: string
                        date_added:
                          type: string
                        status:
                          type: integer
                        status_app:
                          type: integer
                        tag_version:
                          type: string
                        target_branch:
                          type: string
                        iabCategories:
                          type: string
                        approved:
                          type: integer
                        logo:
                          type: string
                          nullable: true
                        logo_dark:
                          type: string
                          nullable: true
                        o&o:
                          type: string
                          nullable: true
                        custom_kv:
                          type: string
                        organisation_name:
                          type: string
                        units:
                          type: string
                        beta:
                          type: boolean
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  - uid: 18620
                    organisation: 3
                    domain: example.com
                    display_name: ''
                    label: null
                    tier: 3
                    config: >-
                      {"rss_feed":"","contextual":true,"pcd":false,"global_css":".ci-ymal{color:#000;font-size:.7em!important;line-height:22px!important;pointer-events:none;text-align:center"}
                    date_added: '2023-07-13 15:21:09'
                    status: 1
                    status_app: 0
                    tag_version: master.49855096
                    target_branch: master
                    iabCategories: IAB20,IAB20-3
                    approved: 1
                    logo: null
                    logo_dark: null
                    o&o: null
                    custom_kv: >-
                      a:3:{s:12:"ci_page_path";s:24:"window.location.pathname";s:10:"ci_page_id";s:43:"window?.REBELMOUSE_BOOTSTRAP_DATA?.post?.id";s:7:"segment";s:20:"window?.cXsegmentIds";}
                    organisation_name: DEMO
                    units: iab, adhesion, in-image
                    beta: false
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````